[Rubygems-developers] what environment is required for extconf.rb to work?

Chad Woolley thewoolleyman at gmail.com
Tue Apr 8 06:04:27 EDT 2008

I am having failures when building compiled gems as part of a
cruise.rb builder process.  Errors look like this:

  ERROR: Failed to build gem native extension. /usr/local/bin/ruby extconf.rb

When I run extconf manually, though, it works.  I suspect this is due
to cruise not passing along some required environment info.

Any idea what this might be, or how I can get more debugging info?

-- Chad

More information about the Rubygems-developers mailing list